import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

// 添加
export async function httpAdd(
  data: object = {}
): Promise<DataType<RoleNode[]>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/roleadd`, {
    data
  });
}
// 列表
export async function httpList(
  data: object = {}
): Promise<DataType<RoleNode[]>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/rolelist`, {
    data
  });
}
// 详情
export async function httpDetail(
  data: object = {}
): Promise<DataType<RoleNode[]>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/roleRead`, {
    data
  });
}
// 更新
export async function httpUpdate(
  data: object = {}
): Promise<DataType<RoleNode[]>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/roleEdit`, {
    data
  });
}
// 状态
export async function httpStatus(
  data: object = {}
): Promise<DataType<RoleNode[]>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/rolestatus`, {
    data
  });
}
// 删除
export async function httpDelete(
  data: object = {}
): Promise<DataType<RoleNode[]>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/roleDelete`, {
    data
  });
}
// 全部菜单按钮
export async function httpMenuAll(
  data: object = {}
): Promise<DataType<RoleNode[]>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/menuactionlist`, {
    data
  });
}
